do

local Game = import('/lua/game.lua')
local PureFactory = import(Game.CBFP_Path..'/lua/PureFactory.lua').PureFactory
local CBFP_oldUES0401 = UES0401

UES0401 = Class(PureFactory(CBFP_oldUES0401)) {
    # all the magic happens in the PureFactory file [131]
}

TypeClass = UES0401

end